Subject: Re: [PATCH net-next 0/5] net: phy: C45-over-C22 access

From: Andrew Lunn <[email-masked]>
Date: Tue, 24 Jan 2023 22:03:08 +0100

> Btw. for the DT case, it seems we need yet another property
> to indicate broken MDIO busses.

I would prefer to avoid that. I would suggest you do what i did for
the none DT case. First probe using C22 for all devices known in DT.
Then call mdiobus_prevent_c45_scan() which will determine if any of
the found devices are FUBAR and will break C45. Then do a second probe
using C45 and/or C45 over C22 for those devices in DT with the c45
compatible.

	Andrew